Bug 585633 - Marvel Yukon 88E8059 NIC not supported
Summary: Marvel Yukon 88E8059 NIC not supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-25 09:21 UTC by Eric Smith
Modified: 2010-07-16 08:54 UTC (History)
9 users (show)

Fixed In Version: 2.6.32.16-141.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-16 08:54:26 UTC
Type: ---


Attachments (Terms of Use)
patch to sky2 driver to support Marvell 88E8059 NIC (6.22 KB, patch)
2010-04-25 09:21 UTC, Eric Smith
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Debian BTS 571526 0 None None None Never
Launchpad 543314 0 None None None Never

Description Eric Smith 2010-04-25 09:21:50 UTC
Created attachment 408932 [details]
patch to sky2 driver to support Marvell 88E8059 NIC

Description of problem:

Many recent laptops and netbooks use the Marvel Yukon 88E8059 NIC, but the 2.6.32 kernel does not support it.  As a result, the ethernet port is not detected and is not usable.

Version-Release number of selected component (if applicable):

kernel-2.6.32.11-99

How reproducible:

1000%

Steps to Reproduce:
1.  boot Fedora 12 on a system using the 88E8059, such as an HP Mini 5102, or a Sony Vaio VPCEB series laptop
2.  observe that the ethernet port is not detected
  
Actual results:

ethernet port not detected

Expected results:

ethernet port detected

Additional info:

PCI ID of the chip is vendor 0x11ab, device 0x4381

Support has been added to the sky2 driver in kernel 2.6.33, but should be backported to 2.6.32 (unless the 2.6.33 kernel is pushed for Fedora 12).  This corresponds to Debian bug 571526 and Ubuntu bug 543314:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=571526
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/543314

The Ubuntu bug report includes a kernel patch to backport the support to 2.6.32.  I have attached a trivial edit of that patch which I have verified will build cleanly in the Fedora 2.6.32.11 RPM, and works on a Sony Vaio VPCEB17FX.

Comment 1 Eric Smith 2010-07-15 00:39:59 UTC
I've verified that kernel-2.6.32.16-141.fc12.x86_64 supports the Yukon-2 Optima chip, and works properly on my Vaio.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.